unit Unit21;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Math;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure FormCreate(Sender:TObject);
    procedure Button1Click(Sender:TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
 procedure TForm1.FormCreate(Sender:TObject);
begin
 Edit1.Text:='2,444';
 Edit2.Text:='0,00869';
 Edit3.Text:='-130';
 memo1.clear;
 memo1.lines.add('Лаб. работа №1. группа 020601 Куликовская М.А.');

end;

 procedure TForm1.Button1Click(Sender:TObject);
 var
 x,y,z,h,t,g,k : extended;

 begin

   x:=StrToFloat(Edit1.Text);
 Memo1.Lines.Add(' X = '+Edit1.Text);
   y:=StrToFloat(Edit2.Text);
 Memo1.Lines.Add(' Y = '+Edit2.Text);
   z:=StrToFloat(Edit3.Text);
 Memo1.Lines.Add(' Z = '+Edit3.Text);

 t:= (power(x,y+1) + exp(y-1))/(1+x*(abs(y-tan(z))));
 g:= (1+(abs(y-x)));
 k:= (abs(power(y-x,2)))/2 - (abs(power(y-x,3)))/3;
 h:= t*g+k;

 memo1.Lines.Add('Результат H='+FloatToStrF(h,fffixed,8,3));
 end;

 end.
